Page MenuHomePhabricator

Add support to PageImages for finding a freely licensed page image
Closed, ResolvedPublic

Description

PageImages currently provides the first image that matches a set of heuristics, freely licensed or not. This is excellent for using to illustrate the article in mobile web and mobile apps, in places like lead images and search.

It would be nice if PageImages could also provide a page image that is freely licensed (e.g. CC BY-SA, PD, etc). This would be really nice for, for example, the cards generated by Share a Fact on the mobile apps, to ensure that the image that's used is as free as possible to allow generation of truly CC BY-SA licensed cards.

User stories:

  • As a content sharer, I would like a permissively licensed Share a Fact card so that I can freely share it in as many places as possible
  • As a mobile product manager, I would like to be able to find a freely licensed representative image for a page so that the mobile app can generate very permissively licensed Share a Fact cards

Event Timeline

Deskana created this task.Apr 8 2015, 12:59 AM
Deskana raised the priority of this task from to Needs Triage.
Deskana updated the task description. (Show Details)
Deskana added a project: PageImages.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2015, 12:59 AM
Deskana updated the task description. (Show Details)Apr 8 2015, 1:26 AM
Deskana set Security to None.
Deskana updated the task description. (Show Details)
Deskana renamed this task from Add support for finding a freely licensed page image to Add support to PageImages for finding a freely licensed page image.Apr 23 2015, 4:38 AM

All files on Wikimedia Commons are freely licensed. Non-free files are copyright violations and have to be deleted ASAP.

I guess you want to find only PD and CC0 files to avoid attribution of the files? Every CC-BY-(SA) and GFDL file needs attribution of the copyright owner (=photographer in most of the cases) and the concrete license.

This would be helped by T95026, because all Commons images are free.

Man77 added a subscriber: Man77.Apr 23 2015, 5:03 PM
Deskana triaged this task as Normal priority.Apr 23 2015, 5:04 PM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJan 21 2016, 11:54 PM
Deskana added a subscriber: Jdlrobson.EditedJan 21 2016, 11:57 PM

@Jdlrobson This task is not a duplicate of T124225. This task aimed to allow PageImages to expose a freely licensed page images; that is very different from requesting that PageImages never expose non-free images. I would strongly suggest unmerging these tasks.

@Jdlrobson This task is not a duplicate of T124225. This task aimed to allow PageImages to expose a freely licensed page images; that is very different from requesting that PageImages never expose non-free images. I would strongly suggest unmerging these tasks.

Feel free to unmerge aand edit the descriptions of both tasks to be clearer as I'm not seeing much difference. From what I understand you are asking for a slightly different variant of T124225 where the provider can ask specificially for a non-free image rather than the supplier prohibiting them from ever getting a non-free image. Is that right? I'm not sure I understand the use case there can you enlighten me?

Feel free to unmerge aand edit the descriptions of both tasks to be clearer as I'm not seeing much difference.

The difference is already explained in the descriptions. I would be happy to elaborate on it; see below for that.

From what I understand you are asking for a slightly different variant of T124225 where the provider can ask specificially for a non-free image rather than the supplier prohibiting them from ever getting a non-free image. Is that right?

Exactly! Yes. :-)

I'm not sure I understand the use case there can you enlighten me?

Sure, I'd be happy to.

If you're using the PageImages extension on, say, the English Wikipedia, a non-free image would be perfectly appropriate and in-line with both the legal side of things and the relevant policy on enwiki with regards to non-free image use. You would want whatever is best, non-free or not. (PageImages currently does this)

If you're using the PageImages extension for, say, Share-A-Fact cards, you may want to choose a free image over a non-free one to further improve the shareability of the card. You may want the non-free image, or the free image, depending on product considerations. (This task is for that)

If you're making a list of articles (e.g. Gather) outside the mainspace on, say, the English Wikipedia, and want to comply with the relevant policy on non-free images, you cannot use non-free images. You would want free images only.

So, you can see that depending on the location the PageImage is meant to be displayed, you may want either whatever image is best (free or non-free), or only free images. This is why it would be best for PageImages to be able to show you both what it thinks is best (which it does now), and whatever it thinks is best subject to being free (which is what this task is for).

Deskana reopened this task as Open.Jan 22 2016, 12:41 AM

Reopening per the above; this is not a duplicate of T124225.

Deskana closed this task as Resolved.Mar 14 2016, 4:12 PM
Deskana claimed this task.

Although this task is not a duplicate of T124225, now that that task has been resolved with the solution that PageImages only returns free images, this task is also resolved.